io.vertx.rxjava.ext.web.validation.builder

## Class BodyProcessorFactory

- java.lang.Object
- - io.vertx.rxjava.ext.web.validation.builder.BodyProcessorFactory

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class BodyProcessorFactory
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface is used to build body processors.
  Look at `Bodies` for all available factories.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyProcessorFactory>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyProcessorFactory(BodyProcessorFactory delegate)`
    `BodyProcessorFactory(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.vertx.ext.web.validation.impl.body.BodyProcessor` | `create(SchemaParser parser)`
    `boolean` | `equals(Object o)`
    `BodyProcessorFactory` | `getDelegate()`
    `int` | `hashCode()`
    `static BodyProcessorFactory` | `newInstance(BodyProcessorFactory arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyProcessorFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### BodyProcessorFactory

          public BodyProcessorFactory(BodyProcessorFactory delegate)

    - #### BodyProcessorFactory

          public BodyProcessorFactory(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BodyProcessorFactory getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public io.vertx.ext.web.validation.impl.body.BodyProcessor create(SchemaParser parser)

    - #### newInstance

          public static BodyProcessorFactory newInstance(BodyProcessorFactory arg)

Copyright © 2025 Eclipse. All rights reserved.